old DLPI doesn't have dl_sap_length
[ppp.git] / pppd / Makefile.ultrix
1 #
2 # pppd makefile for Ultrix
3 # $Id: Makefile.ultrix,v 1.5 1995/04/28 04:33:21 paulus Exp $
4 #
5
6 BINDIR = /usr/local/etc
7 MANDIR = /usr/local/man
8
9 PPPDSRCS = main.c magic.c fsm.c lcp.c ipcp.c upap.c chap.c md5.c ccp.c \
10         auth.c options.c sys-bsd.c sys-str.c sys-ultrix.c sys-linux.c
11 HEADERS = callout.h pathnames.h patchlevel.h chap.h md5.h
12 MANPAGES = pppd.8
13
14 PPPDOBJS = main.o magic.o fsm.o lcp.o ipcp.o upap.o chap.o md5.o ccp.o \
15         auth.o options.o sys-ultrix.o
16
17 # CC = gcc
18 DEBUG_FLAGS =
19 COMPILE_FLAGS = -DNO_DRAND48 -DGIDSET_TYPE=int
20 COPTS = -O
21 LIBS =
22
23 CFLAGS = -I.. $(COPTS) $(DEBUG_FLAGS) $(COMPILE_FLAGS)
24
25 SOURCE= RELNOTES Makefile \
26         $(PPPDSRCS) $(HEADERS) $(MANPAGES)
27
28 all: pppd
29
30 install: pppd
31         install -c -m 4555 -o root -g daemon pppd $(BINDIR)/pppd
32         install -c -m 555 -o root pppd.8 $(MANDIR)/man8
33
34 pppd: $(PPPDOBJS)
35         $(CC) $(CFLAGS) -o pppd $(PPPDOBJS) $(LIBS)
36
37 pppd.tar: $(SOURCE)
38         tar -cvf pppd.tar $(SOURCE)
39
40 pppd.tar.Z: pppd.tar
41         compress pppd.tar
42
43 clean:
44         rm -f $(PPPDOBJS) pppd *~ #* core
45
46 depend:
47         cpp -M $(CFLAGS) $(PPPDSRCS) >.depend
48 #       makedepend $(CFLAGS) $(PPPDSRCS)